Subject: Re: bug#46384: 28.0.50; 100% cpu in line_number_display_width

From: Eli Zaretskii <[email-masked]>
Date: Tue, 09 Feb 2021 09:18:36 +0200

On February 9, 2021 8:11:46 AM GMT+02:00, Richard Stallman <[email-masked]> wrote:
> 
> The way I debugged infloops in Emacs was to use the GDB return command
> on each frame till control got out of that frame.  Eventually I would
> find a frame that never returned to its caller.  I would then arrange
> to stop the program while inside that frame's function and find the
> range of code contained in the loop.
> 
> Then I would figure out where the code was supposed to exit that loop.
> After that, it is a matter of debugging why it does not exit.

That procedure is described in etc/DEBUG.  However, the main problem in this case is that GDB is not easily available, so displaying Lisp objects and data structures is tedious at best.